import { RouterView } from 'vue-router';

export default {
    path: '/parking',
    name: 'Parking',
    meta: {
        title: 'parking',
        icon: 'garage_home',
        moduleName: 'Parking',
    },
    component: RouterView,
    redirect: { name: 'ParkingCard' },
    menus: {
        main: [],
        card: ['ParkingBasicData', 'ParkingLog'],
    },
    children: [
        {
            path: '/parking/:id',
            name: 'ParkingCard',
            component: () => import('src/pages/Parking/Card/ParkingCard.vue'),
            redirect: { name: 'ParkingSummary' },
            children: [
                {
                    name: 'ParkingSummary',
                    path: 'summary',
                    meta: {
                        title: 'summary',
                        icon: 'view_list',
                    },
                    component: () => import('src/pages/Parking/Card/ParkingSummary.vue'),
                },
                {
                    name: 'ParkingBasicData',
                    path: 'basic-data',
                    meta: {
                        title: 'basicData',
                        icon: 'vn:settings',
                    },
                    component: () => import('pages/Parking/Card/ParkingBasicData.vue'),
                },
                {
                    name: 'ParkingLog',
                    path: 'log',
                    meta: {
                        title: 'log',
                        icon: 'history',
                    },
                    component: () => import('src/pages/Parking/Card/ParkingLog.vue'),
                },
            ],
        },
    ],
};
